WireMock
action Wiremock

# add_mappings

Adds more mappings to wiremock

Run it now
View details

Type | action
Module | chaoswm.actions
Name | add_mappings
Return | list

Usage

JSON

    {
      "name": "add-mappings",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaoswm.actions",
        "func": "add_mappings",
        "arguments": {
          "mappings": []
        }
      }
    }

YAML

    name: add-mappings
    provider:
      arguments:
        mappings: []
      func: add_mappings
      module: chaoswm.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
mappings | list |  | Yes | Mappings | Add new mappings

Returns the list of IDs of the added mappings.

Signature

    def add_mappings(mappings: List[Any],
                     configuration: Dict[str, Dict[str, str]] = None) -> List[Any]:
        pass

## Related starters

- WireMock
  probe Wiremock

  ## `mappings`

  Return a list of all mappings
- WireMock
  action Wiremock

  ## `delete_mappings`

  Deletes a list of mappings
- WireMock
  action Wiremock

  ## `down`

  Set a list of services down